> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate



## OpenAPI

````yaml https://api.vellaro.io/openapi.json post /api/v1/admin/ai/generate
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/ai/generate:
    post:
      tags:
        - admin:ai
      summary: Generate
      operationId: generate_api_v1_admin_ai_generate_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AIGenerateRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_AIGenerateResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AIGenerateRequest:
      properties:
        mode:
          type: string
          enum:
            - product_description
            - product_short_description
            - meta_title
            - meta_description
            - freeform
            - category_description
            - cms_page
            - cms_meta_description
            - marketing_copy
            - email_message
          title: Mode
        topic:
          type: string
          maxLength: 300
          minLength: 1
          title: Topic
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        brand:
          anyOf:
            - type: string
            - type: 'null'
          title: Brand
        model_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Number
        attributes:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Attributes
        current_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Description
        instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Instructions
        length:
          anyOf:
            - type: string
              enum:
                - short
                - medium
                - long
            - type: 'null'
          title: Length
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
      type: object
      required:
        - mode
        - topic
      title: AIGenerateRequest
    ApiResponse_AIGenerateResponse_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/AIGenerateResponse'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[AIGenerateResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AIGenerateResponse:
      properties:
        text:
          type: string
          title: Text
        provider:
          type: string
          title: Provider
        model:
          type: string
          title: Model
      type: object
      required:
        - text
        - provider
        - model
      title: AIGenerateResponse
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````